<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Information</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" th:href="@{/assets/bootstrap.css}">
    <link rel="stylesheet" type="text/css" th:href="@{/assets/bootstrap.min.css}">
    <script src="https://kit.fontawesome.com/85c6a328a2.js" crossorigin="anonymous"></script>
</head>
<body>

<nav class="navbar navbar-dark bg-dark">
    <div class="container-fluid" style="margin-top: -29px; height: 30px;">
        <a style="margin-left: 70px; margin-top: 10px;" class="navbar-brand">Wiki Pokemon</a>
        <div class="flex-row-reverse">
            <ul class="navbar-nav">
                <li class="nav-item">
                </li>
                <li class="nav-item" style="margin-top: 6px;">
                    <a class="nav-link">
                        <span style="color:azure">Hola | Entrenador</span>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<br>


<div class="container-fluid">
    <div>
        <div class="page-header">
            <h1>
                <span style="text-transform: uppercase;" th:text="${pokemon.name}"></span>
                <span style="text-transform: uppercase;">| Pokémon</span>
                <span class="label label-primary pull-right">#<span th:text="${pokemon.id}"></span></span>
            </h1>
        </div>
        <div class="row">
            <div class="col-md-6">
                <img class="avatar center-block"
                     th:src="@{'https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/' + ${pokemon.id} + '.png'}" width="70%">
            </div>
            <!-- Tabs -->
            <div class="col-md-6" ng-controller="TabsController as tabs">
                <ul class="nav nav-tabs nav-justified">
                    <li class="active"><a data-tab="#data">Pokédex</a></li>
                    <li class=""><a data-tab="#stats">Stats</a></li>
                    <li class=""><a data-tab="#evolution">Evolution</a></li>
                </ul>
                <div class="tab-content">
                    <!-- Pokedex -->
                    <div id="data">
                        <ul class="list-group">
                            <li class="list-group-item">
                                <strong>Type</strong>
                                <span class="pull-right">
                                    <ul>
                                        <li th:each="type : ${pokemon.types}">
                                            <a th:href="@{'/' + ${type.type.name}}">
                                                <span class="label type type-${type.type.name}">
                                                    <span th:text="${type.type.name}"></span>
                                                </span>
                                            </a>
                                        </li>
                                    </ul>
                                </span>
                            </li>
                            <li class="list-group-item">
                                <strong>Height</strong>
                                <span class="pull-right" th:text="${pokemon.height}">dm</span>
                            </li>
                            <li class="list-group-item">
                                <strong>Weight</strong>
                                <span class="pull-right" th:text="${pokemon.weight}">hg</span>
                            </li>
                            <li class="list-group-item">
                                <strong>Abilities</strong>
                                <ul>
                                    <li th:each="ability : ${pokemon.abilities}">
                                        <span th:text="${ability.ability.name}"></span>
                                    </li>
                                </ul>
                            </li>
                        </ul>

                    </div>
                    <!-- Stats -->
                    <div id="stats">
                        <ul class="list-group">
                            <li class="list-group-item">
                                <strong>HP</strong>
                                <span th:text="${pokemon.stats[0].base_stat}"></span>
                            </li>
                            <li class="list-group-item">
                                <strong>Attack</strong>
                                <span th:text="${pokemon.stats[1].base_stat}"></span>
                            </li>
                            <li class="list-group-item">
                                <strong>Defense</strong>
                                <span th:text="${pokemon.stats[2].base_stat}"></span>
                            </li>
                            <li class="list-group-item">
                                <strong>Special Attack</strong>
                                <span th:text="${pokemon.stats[3].base_stat}"></span>
                            </li>
                            <li class="list-group-item">
                                <strong>Special Defense</strong>
                                <span th:text="${pokemon.stats[4].base_stat}"></span>
                            </li>
                            <li class="list-group-item">
                                <strong>Speed</strong>
                                <span th:text="${pokemon.stats[5].base_stat}"></span>
                            </li>
                            <li class="list-group-item">
                                <strong>Total</strong>
                                <span th:text="${pokemon.statsTotal}"></span>
                            </li>
                        </ul>
                    </div>
                    <!-- Evolution -->
                    <div id="evolution">
                        <div class="text-center">
                            <a href="/pokemon/ivysaur">
                                <img src="img/pokemons/bulbasaur.jpg" width="160">
                                <p>
                                    <strong>Bulbasaur</strong>
                                </p>
                            </a>
                            <span class="glyphicon glyphicon-arrow-down"></span>
                        </div>
                        <div class="text-center">
                            <a href="/pokemon/ivysaur">
                                <img src="img/pokemons/ivysaur.jpg" width="160">
                                <p>
                                    <strong>Ivysaur</strong>
                                </p>
                            </a>
                            <span class="glyphicon glyphicon-arrow-down"></span>
                        </div>
                        <div class="text-center">
                            <a href="/pokemon/ivysaur">
                                <img src="img/pokemons/venusaur.jpg" width="160">
                                <p>
                                    <strong>Venusaur</strong>
                                </p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /tabs -->
        </div>
    </div>
    <!-- /pokemon -->
</div>

</body>
</html>